var BaseObject = function(settings) {
	this.id = typeof settings.id == "undefined" ? 0 : settings.id;
	this.position = {x: settings.x, y: settings.y};
	this.gravity = {x: settings.gravity.x, y: settings.gravity.y};
	this.angle = typeof settings.angle == "undefined" ? 270 : settings.angle;
	
	this.speed = typeof settings.speed == "undefined" ? 10 : settings.speed;
	this.friction = typeof settings.friction == "undefined" ? 1.0 : settings.friction;
	
	this.lifespan = typeof settings.lifespan == "undefined" ? 500 : settings.lifespan;
	
	this.age = 0;
	this.remove = false;
	this.born = true;
};

BaseObject.prototype.update = function() {
	console.log("SCENE OBJECT: Update not defined");
};

BaseObject.prototype.render = function() {
	console.log("SCENE OBJECT: Render not defined");
};

BaseObject.prototype.isAlive = function() {
	return this.age < this.lifespan;
}