var Firework = function() {
	this.rockets = [];
	this.activeRockets = [];
	this.numberOfRockets;
	this.lastRender = 0;
	this.interval = 0;
	this.delay = 0;
	this.born = true;
};

Firework.prototype.addRocket = function(o) {
	console.log("FIREWORK: Add new rocket");
	this.rockets.push(o);
};

Firework.prototype.getRockets = function() {
	return this.rockets;
}

Firework.prototype.init = function() {	
	this.delay = configuration.delay;
	
	for(var i = 0; i < configuration.rockets.length; i++) {
		var rocket = new Rocket(configuration.rockets[i]);
		this.addRocket(rocket);
	}
	
	this.numberOfRockets = this.rockets.length;
	document.getElementById('rockets-size').innerHTML = this.numberOfRockets;
}

Firework.prototype.start = function() {
	console.log(this.rockets);

	this.render();

	var me = this;
	
	if(this.delay != 0) {
		this.interval = setInterval(
			function() {
				
				if(me.rockets.length > 0) {
					var rocket = me.rockets.pop();
					me.activeRockets.push(rocket);
					document.getElementById('rockets-fired').innerHTML = me.numberOfRockets-me.rockets.length;
				}
				else {
					clearInterval(me.interval);
				}
			}
		, this.delay);
	}
	else {
		this.activeRockets = this.rockets;
		document.getElementById('rockets-fired').innerHTML = this.activeRockets.length;
	}
};

Firework.prototype.updateRockets = function(timeElapsed) {
	for(var i = 0; i < this.activeRockets.length; i++) {
		this.activeRockets[i].update(timeElapsed);
		this.activeRockets[i].render();
		
		if(this.activeRockets[i].isEmpty() && this.activeRockets[i].exploded) {
			this.activeRockets[i].remove = true;
		}
	}
}

Firework.prototype.removeDeadRockets = function() {
	for(var i = 0; i < this.activeRockets.length; i++) {
		if(this.activeRockets[i].remove) {
			console.log("FIREWORK: Rocket["+this.activeRockets[i].id+"] deleted");
			this.activeRockets.splice(i, 1);
		}
	}
}

Firework.prototype.update = function(timeElapsed) {
	this.updateRockets(timeElapsed);
	this.removeDeadRockets();
	document.getElementById('activerockets-size').innerHTML = this.activeRockets.length;
}

Firework.prototype.render = function() {
	
	var timeElapsed = new Date().getTime() - this.lastRender;
	this.lastRender = new Date().getTime();
	
	
	var canvas = document.getElementById(configuration.canvasID);
	c = canvas.getContext('2d');
	
	c.globalCompositeOperation = "source-over";
	c.beginPath();
	c.fillStyle = "rgba(0, 0, 0, 0.2)";
	c.fillRect(0, 0, canvas.width, canvas.height);
	c.closePath();
	
	this.update(timeElapsed);
	
	var me = this;
	window.requestAnimationFrame(
		function () {
			me.render();
		}
	);
}






