// ===========================
// CLASS Substance				
// ===========================

var Substance = function() {
	this.color = "undefined";
	this.emitter = "undefined";
}

// ===========================
// SUBSTANCES
// ===========================

// ===========================
// CLASS Zincum
// Color: None
// Effect: Sparks				
// ===========================

var Zincum = function() {
	Substance.call(this);
	
	this.emitter = {
		lifespanEmitter: {min: 0, max: 0},
		lifespanParticle: {min: 100, max: 150},
		angle: {min: 0, max: 360},
		color: colors.gold,
		sizeParticle: 2,
		gravity: {x: 0.0, y: 1.5},
		speed: {min: 15, max: 15},
		friction: 0.40
	};
};

Zincum.prototype = Object.create(Substance.prototype);
Zincum.prototype.constructor = Zincum;

// ===========================
// CLASS Titanium
// Color: None
// Effect: Smoke				
// ===========================

var Titanium = function() {
	Substance.call(this);
	
	this.emitter = {
		lifespanEmitter: {min: 0, max: 0},
		lifespanParticle: {min: 55, max: 85},
		angle: {min: 180, max: 360},
		color: colors.smoke,
		sizeParticle: 3,
		gravity: {x: 0.0, y: 3.9},
		speed: {min: 5, max: 5},
		friction: 0.95
	};
};

Titanium.prototype = Object.create(Substance.prototype);
Titanium.prototype.constructor = Titanium;

// ===========================
// CLASS Lithium
// Color: DarkRed
// Effect: None				
// ===========================

var Lithium = function() {
	Substance.call(this);
	this.color = colors.darkred;
};

Lithium.prototype = Object.create(Substance.prototype);
Lithium.prototype.constructor = Lithium;

// ===========================
// CLASS Stroncium
// Color: Red
// Effect: None				
// ===========================

var Stroncium = function() {
	Substance.call(this);
	this.color = colors.red;
};

Stroncium.prototype = Object.create(Substance.prototype);
Stroncium.prototype.constructor = Stroncium;

// ===========================
// CLASS Calcium
// Color: Orange
// Effect: None				
// ===========================

function Calcium() {
	Substance.call(this);
	this.color = colors.orange;
};

Calcium.prototype = Object.create(Substance.prototype);
Calcium.prototype.constructor = Calcium;

// ===========================
// CLASS Natrium
// Color: Yellow
// Effect: None				
// ===========================

function Natrium() {
	Substance.call(this);
	this.color = colors.yellow;
};

Natrium.prototype = Object.create(Substance.prototype);
Natrium.prototype.constructor = Natrium;

// ===========================
// CLASS Magnesium
// Color: White
// Effect: None				
// ===========================

function Magnesium() {
	Substance.call(this);
	this.color = colors.smoke;
};

Magnesium.prototype = Object.create(Substance.prototype);
Magnesium.prototype.constructor = Magnesium;

// ===========================
// CLASS Aluminium
// Color: Silver
// Effect: None				
// ===========================

function Aluminium() {
	Substance.call(this);
	this.color = colors.silver;
};

Aluminium.prototype = Object.create(Substance.prototype);
Aluminium.prototype.constructor = Aluminium;

// ===========================
// CLASS Baryum
// Color: Green
// Effect: None				
// ===========================

function Baryum() {
	Substance.call(this);
	this.color = colors.green;
};

Baryum.prototype = Object.create(Substance.prototype);
Baryum.prototype.constructor = Baryum;

// ===========================
// CLASS Cuprum
// Color: Blue
// Effect: None				
// ===========================

function Cuprum() {
	Substance.call(this);
	this.color = colors.blue;
};

Cuprum.prototype = Object.create(Substance.prototype);
Cuprum.prototype.constructor = Cuprum;

// ===========================
// ELEMENTS
// ===========================

// ===========================
// CLASS Fire
// Color: None
// Effect: Fire trail		
// ===========================

function Fire() {
	Substance.call(this);
	this.emitter = {
		lifespanEmitter: {min: 0, max: 0},
		lifespanParticle: {min: 150, max: 300},
		angle: {min: 260, max: 280},
		color: colors.flame,
		sizeParticle: 5,
		gravity: {x: 0.0, y: -3.0},
		speed: {min: 30, max: 30},
		friction: 0.5
	};
};


Fire.prototype = Object.create(Substance.prototype);
Fire.prototype.constructor = Fire;

// ===========================
// CLASS Water
// Color: None
// Effect: Water trail		
// ===========================

function Water() {
	Substance.call(this);
	this.emitter = {
		lifespanEmitter: {min: 0, max: 0},
		lifespanParticle: {min: 150, max: 300},
		angle: {min: 260, max: 280},
		color: colors.dodger,
		sizeParticle: 5,
		gravity: {x: 0.0, y: 2.0},
		speed: {min: 30, max: 30},
		friction: 0.5
	};
};


Water.prototype = Object.create(Substance.prototype);
Water.prototype.constructor = Water;


// ===========================
// COLORS
// ===========================

// ===========================
// CLASS Amethyst
// Color: Purple
// Effect: None		
// ===========================

function Amethyst() {
	Substance.call(this);
	this.color = colors.amethyst;
};

Amethyst.prototype = Object.create(Substance.prototype);
Amethyst.prototype.constructor = Amethyst;

// ===========================
// CLASS Emerald
// Color: Green
// Effect: None		
// ===========================

function Emerald() {
	Substance.call(this);
	this.color = colors.emerald;
};

Emerald.prototype = Object.create(Substance.prototype);
Emerald.prototype.constructor = Emerald;

// ===========================
// CLASS Turquoise
// Color: BlueGreen
// Effect: None		
// ===========================

function Turquoise() {
	Substance.call(this);
	this.color = colors.turquoise;
};

Turquoise.prototype = Object.create(Substance.prototype);
Turquoise.prototype.constructor = Turquoise;

// ===========================
// CLASS Alizarin
// Color: Red
// Effect: None		
// ===========================

function Alizarin() {
	Substance.call(this);
	this.color = colors.alizarin;
};

Alizarin.prototype = Object.create(Substance.prototype);
Alizarin.prototype.constructor = Alizarin;

// ===========================
// CLASS Jungle
// Color: Green
// Effect: None		
// ===========================

function Jungle() {
	Substance.call(this);
	this.color = colors.jungle;
};

Jungle.prototype = Object.create(Substance.prototype);
Jungle.prototype.constructor = Jungle;

// ===========================
// CLASS Sunset
// Color: Red
// Effect: None		
// ===========================

function Sunset() {
	Substance.call(this);
	this.color = colors.sunset;
};

Sunset.prototype = Object.create(Substance.prototype);
Sunset.prototype.constructor = Sunset;

// ===========================
// CLASS Eucalyptus
// Color: Green
// Effect: None		
// ===========================

function Eucalyptus() {
	Substance.call(this);
	this.color = colors.eucalyptus;
};

Eucalyptus.prototype = Object.create(Substance.prototype);
Eucalyptus.prototype.constructor = Eucalyptus;

// ===========================
// CLASS Malibu
// Color: Blue
// Effect: None		
// ===========================

function Malibu() {
	Substance.call(this);
	this.color = colors.malibu;
};

Malibu.prototype = Object.create(Substance.prototype);
Malibu.prototype.constructor = Malibu;

// ===========================
// CLASS Dodger
// Color: Blue
// Effect: None		
// ===========================

function Dodger() {
	Substance.call(this);
	this.color = colors.dodger;
};

Dodger.prototype = Object.create(Substance.prototype);
Dodger.prototype.constructor = Dodger;

// ===========================
// CLASS Steel
// Color: Blue
// Effect: None		
// ===========================

function Steel() {
	Substance.call(this);
	this.color = colors.steel;
};

Steel.prototype = Object.create(Substance.prototype);
Steel.prototype.constructor = Steel;

// ===========================
// CLASS Razzmatazz
// Color: Red
// Effect: None		
// ===========================

function Razzmatazz() {
	Substance.call(this);
	this.color = colors.razzmatazz;
};

Razzmatazz.prototype = Object.create(Substance.prototype);
Razzmatazz.prototype.constructor = Razzmatazz;

// ===========================
// CLASS JellyBeans
// Color: Blue
// Effect: None		
// ===========================

function JellyBeans() {
	Substance.call(this);
	this.color = colors.jellybeans;
};

JellyBeans.prototype = Object.create(Substance.prototype);
JellyBeans.prototype.constructor = JellyBeans;









